%define upstream_name    Dist-Zilla-Plugin-Twitter
%define upstream_version 0.022

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Twitter when you release with Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Config::INI::Writer)
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::App::Tester)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(Dist::Zilla::Util)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 0.990.0
BuildRequires: perl(Net::Twitter) >= 3.0.0
BuildRequires: perl(Params::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(WWW::Shorten) >= 3.20.0
BuildRequires: perl(WWW::Shorten::Simple)
BuildRequires: perl(WWW::Shorten::TinyURL)
BuildRequires: perl(base)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)

BuildConflicts: cpanminus

BuildArch:  noarch

%description
This plugin will use the Net::Twitter manpage with the login and password
in your '.netrc' file to send a release notice to Twitter. By default, it
will include a link to your README file as extracted on a fast CPAN mirror.
This works very nicely with the Dist::Zilla::Plugin::ReadmeFromPod manpage.

The default configuration is as follows:

   [Twitter]
   tweet_url = http://cpan.cpantesters.org/authors/id/{{$AUTHOR_PATH}}/{{$DIST}}-{{$VERSION}}.readme
   tweet = Released {{$DIST}}-{{$VERSION}} {{$URL}}

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.22.0-2.mga4
+ Revision: 537998
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 0.22.0-1.mga4
+ Revision: 488241
- update to 0.022

* Tue Aug 06 2013 sander85 <sander85> 0.21.0-1.mga4
+ Revision: 464184
- update to 0.021

* Fri Jun 07 2013 jquelin <jquelin> 0.20.0-1.mga4
+ Revision: 439219
- update to 0.020

* Sun Jan 13 2013 umeabot <umeabot> 0.17.0-2.mga3
+ Revision: 366546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 0.17.0-1.mga3
+ Revision: 270276
- update to 0.017

* Tue Jun 05 2012 jquelin <jquelin> 0.16.0-1.mga3
+ Revision: 254941
- update to 0.016

* Wed Jan 25 2012 jquelin <jquelin> 0.14.0-1.mga2
+ Revision: 200871
- update to 0.014

* Mon Dec 12 2011 jquelin <jquelin> 0.13.0-2.mga2
+ Revision: 180930
- force update

* Mon Dec 12 2011 jquelin <jquelin> 0.13.0-1.mga2
+ Revision: 180868
- update to 0.013

* Thu Oct 13 2011 jquelin <jquelin> 0.11.0-1.mga2
+ Revision: 154284
- update to 0.011

* Sat Feb 26 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 60335
- update to 0.010

* Wed Jan 26 2011 jquelin <jquelin> 0.9.0-1.mga1
+ Revision: 40625
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Twitter

